## org.opengis.feature.type
Interface TypeName

All Superinterfaces:
  Name

    public interface TypeName

extends Name

Represents a scoped type name.

This interface is method compatiable with QName, to facility those transitioning form XML based models. As GenericName is finalized this interface will be asked to fall into line with GenericnName.

If you need to store the information for "getPrefix" please make use of per attribute client properties.

Method Summary

Methods inherited from interface Name
`equals, getLocalPart, getNamespaceURI, getURI, hashCode, isGlobal, toString`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.